"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = __importStar(require("react"));
var react_dom_1 = require("react-dom");
var constants_1 = require("../constants");
module.exports = function (components) {
    var dataContainers = document.querySelectorAll("script[type=\"" + constants_1.HYDRATION_SCRIPT_TYPE + "\"]");
    for (var _i = 0, _a = dataContainers; _i < _a.length; _i++) {
        var dataContainer = _a[_i];
        var data = JSON.parse(dataContainer.innerHTML);
        var props = data.props, cid = data.cid;
        var el = dataContainer.nextElementSibling;
        var Component = components[cid];
        react_dom_1.hydrate(React.createElement(Component, __assign({}, props)), el);
    }
};
